<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fillViewport="true"
        android:padding="@dimen/margin_15"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/signUp"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/margin_10"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent">


            <ImageView
                android:id="@+id/ivInfo"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:contentDescription="@string/next"
                android:src="@drawable/svg_info"
                app:layout_constraintBottom_toTopOf="@+id/subHeader"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.995"
                app:layout_constraintStart_toEndOf="@+id/txtGetStart"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.0" />

            <TextView
                android:id="@+id/txtGetStart"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:maxLines="2"
                android:padding="@dimen/margin_5"
                android:text="@string/let_s_get_started"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_20"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/subHeader"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_8"
                android:text="Start your online business in few steps"
                android:textColor="@color/black"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/txtGetStart" />


            <!--Full Name  -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlArnNumber"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_22"
                android:hint="@string/enter_your_arn_number"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/subHeader">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtArnNumber"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!--Email  -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlPanNumber"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/enter_pan_card_number"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlArnNumber">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtPanNumber"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <!--Address Line 1  -->
            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/tlFullNamePanCard"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5"
                android:hint="@string/full_name_as_on_pan_card"
                android:padding="@dimen/margin_3"
                app:layout_constraintTop_toBottomOf="@+id/tlPanNumber">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtFullNamePanCard"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="text"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14"
                    tool:ignore="TextContrastCheck" />

            </com.google.android.material.textfield.TextInputLayout>

            <View
                android:id="@+id/viewHelper"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_16"
                android:layout_marginBottom="@dimen/margin_16"
                android:background="@drawable/rounded_view"
                app:layout_constraintTop_toBottomOf="@+id/tlFullNamePanCard" />

            <TextView
                android:id="@+id/addAddressProof"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_8"
                android:layout_marginTop="@dimen/margin_25"
                android:padding="@dimen/margin_4"
                android:text="Add ADDRESS PROOF"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_14"
                android:textStyle="bold"
                app:layout_constraintHorizontal_bias="0.5"
                app:layout_constraintHorizontal_chainStyle="spread"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tlFullNamePanCard" />

            <TextView
                android:id="@+id/format"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_25"
                android:padding="@dimen/margin_4"
                android:text="@string/format_png_or_jpg"
                android:textColor="#909090"
                android:textSize="@dimen/text_size_14"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tlFullNamePanCard" />

            <TextView
                android:id="@+id/docTypeHeader"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_8"
                android:layout_marginTop="@dimen/margin_3"
                android:padding="@dimen/margin_4"
                android:text="Choose the document type"
                android:textColor="@color/black"
                android:textSize="@dimen/text_size_14"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/addAddressProof" />

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/spAddressType"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:layout_width="match_parent"
                android:layout_height="@dimen/margin_48"
                android:layout_marginStart="@dimen/margin_8"
                android:layout_marginTop="@dimen/margin_15"
                android:layout_marginEnd="@dimen/margin_15"
                android:layout_marginBottom="@dimen/margin_5"
                app:hintEnabled="false"
                app:layout_constraintTop_toBottomOf="@+id/docTypeHeader">

                <com.google.android.material.textfield.MaterialAutoCompleteTextView
                    android:id="@+id/spDocType"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/rounded_corner_with_line1"
                    android:hint="@string/addressProofType"
                    android:inputType="none"
                    android:labelFor="@+id/spInterestPayout"
                    android:padding="@dimen/margin_5"
                    android:textColorHint="@color/greyColor2"
                    android:textSize="@dimen/text_size_14" />

            </com.google.android.material.textfield.TextInputLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginStart="@dimen/margin_10"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/spAddressType">

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/txtFront"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/margin_10"
                        android:padding="@dimen/margin_4"
                        android:text="@string/front"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_14"
                        android:textStyle="bold"
                        app:layout_constraintBottom_toTopOf="@+id/uploadViewFront"
                        app:layout_constraintEnd_toStartOf="@+id/txtBack"
                        app:layout_constraintHorizontal_bias="0.129"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/dot_rect">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"/>

                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/uploadFront"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/margin_20"
                            android:layout_marginTop="@dimen/margin_20"
                            android:layout_marginEnd="@dimen/margin_20"
                            android:layout_marginBottom="@dimen/margin_20"
                            android:backgroundTint="@color/white"
                            android:text="@string/upload"
                            android:textAllCaps="false"
                            android:textColor="@color/red"
                            app:cornerRadius="@dimen/margin_15" />

                    </RelativeLayout>


                </LinearLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/txtBack"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/margin_10"
                        android:padding="@dimen/margin_4"
                        android:text="@string/back"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_14"
                        android:textStyle="bold"
                        app:layout_constraintBottom_toTopOf="@+id/uploadViewBack"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintHorizontal_bias="0.028"
                        app:layout_constraintStart_toStartOf="@+id/uploadViewBack"
                        app:layout_constraintTop_toTopOf="parent" />

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/dot_rect">

                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/uploadBack"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/margin_15"
                            android:layout_marginEnd="@dimen/margin_5"
                            android:backgroundTint="@color/white"
                            android:layout_margin="@dimen/margin_20"
                            android:text="@string/upload"
                            android:textAllCaps="false"
                            android:textColor="@color/red"
                            app:cornerRadius="@dimen/margin_15" />

                    </RelativeLayout>

                </LinearLayout>


            </LinearLayout>

            <!--            <androidx.constraintlayout.widget.ConstraintLayout-->
            <!--                android:id="@+id/constraintLayout"-->
            <!--                android:layout_width="match_parent"-->
            <!--                android:layout_height="wrap_content"-->
            <!--                android:orientation="vertical"-->
            <!--                android:layout_marginTop="@dimen/margin_10"-->
            <!--                app:layout_constraintStart_toStartOf="parent"-->
            <!--                app:layout_constraintTop_toBottomOf="@+id/spAddressType">-->

            <!--                <TextView-->
            <!--                    android:id="@+id/txtFront"-->
            <!--                    android:layout_width="wrap_content"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:padding="@dimen/margin_4"-->
            <!--                    android:text="Front"-->
            <!--                    android:textColor="@color/black"-->
            <!--                    android:textSize="@dimen/text_size_14"-->
            <!--                    android:textStyle="bold"-->
            <!--                    app:layout_constraintBottom_toTopOf="@+id/uploadViewFront"-->
            <!--                    app:layout_constraintEnd_toStartOf="@+id/txtBack"-->
            <!--                    app:layout_constraintHorizontal_bias="0.129"-->
            <!--                    app:layout_constraintStart_toStartOf="parent"-->
            <!--                    app:layout_constraintTop_toTopOf="parent" />-->

            <!--                <androidx.constraintlayout.widget.ConstraintLayout-->
            <!--                    android:id="@+id/uploadViewFront"-->
            <!--                    android:layout_width="wrap_content"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_marginStart="@dimen/margin_8"-->
            <!--                    android:layout_marginTop="@dimen/margin_4"-->
            <!--                    android:background="@drawable/upload_background"-->
            <!--                    app:layout_constraintHorizontal_bias="0.5"-->
            <!--                    app:layout_constraintHorizontal_chainStyle="spread_inside"-->
            <!--                    app:layout_constraintStart_toStartOf="parent"-->
            <!--                    app:layout_constraintTop_toBottomOf="@+id/txtFront">-->

            <!--                    <ImageView-->
            <!--                        android:layout_width="0dp"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:background="@mipmap/ic_launcher"-->
            <!--                        app:cornerRadius="@dimen/margin_15"-->
            <!--                        app:layout_constraintStart_toStartOf="parent"-->
            <!--                        app:layout_constraintEnd_toEndOf="parent" />-->

            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        android:id="@+id/uploadFront"-->
            <!--                        android:layout_width="wrap_content"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:backgroundTint="@color/white"-->
            <!--                        android:text="Upload"-->
            <!--                        android:textColor="@color/red"-->
            <!--                        app:cornerRadius="@dimen/margin_15"-->
            <!--                        app:layout_constraintBottom_toBottomOf="@+id/uploadViewFront"-->
            <!--                        app:layout_constraintEnd_toEndOf="@+id/uploadViewFront"-->
            <!--                        app:layout_constraintStart_toStartOf="@+id/uploadViewFront"-->
            <!--                        app:layout_constraintTop_toTopOf="@+id/uploadViewFront" />-->


            <!--                </androidx.constraintlayout.widget.ConstraintLayout>-->


            <!--                <TextView-->
            <!--                    android:id="@+id/txtBack"-->
            <!--                    android:layout_width="wrap_content"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:padding="@dimen/margin_4"-->
            <!--                    android:text="Back"-->
            <!--                    android:textColor="@color/black"-->
            <!--                    android:textSize="@dimen/text_size_14"-->
            <!--                    android:textStyle="bold"-->
            <!--                    app:layout_constraintBottom_toTopOf="@+id/uploadViewBack"-->
            <!--                    app:layout_constraintEnd_toEndOf="parent"-->
            <!--                    app:layout_constraintHorizontal_bias="0.028"-->
            <!--                    app:layout_constraintStart_toStartOf="@+id/uploadViewBack"-->
            <!--                    app:layout_constraintTop_toTopOf="parent" />-->

            <!--                <androidx.constraintlayout.widget.ConstraintLayout-->
            <!--                    android:id="@+id/uploadViewBack"-->
            <!--                    android:layout_width="wrap_content"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_marginStart="@dimen/margin_25"-->
            <!--                    android:layout_marginTop="@dimen/margin_4"-->
            <!--                    android:background="@drawable/upload_background"-->
            <!--                    app:layout_constraintHorizontal_bias="0.5"-->
            <!--                    app:layout_constraintRight_toRightOf="parent"-->
            <!--                    app:layout_constraintStart_toEndOf="@+id/uploadViewFront"-->
            <!--                    app:layout_constraintTop_toBottomOf="@+id/txtBack">-->

            <!--                    <com.google.android.material.button.MaterialButton-->
            <!--                        android:id="@+id/uploadBack"-->
            <!--                        android:layout_width="wrap_content"-->
            <!--                        android:layout_height="wrap_content"-->
            <!--                        android:layout_marginStart="@dimen/margin_15"-->
            <!--                        android:layout_marginEnd="@dimen/margin_5"-->
            <!--                        android:backgroundTint="@color/white"-->
            <!--                        android:text="Upload"-->
            <!--                        android:textColor="@color/red"-->
            <!--                        app:cornerRadius="@dimen/margin_15"-->
            <!--                        app:layout_constraintBottom_toBottomOf="@+id/uploadViewBack"-->
            <!--                        app:layout_constraintEnd_toEndOf="@+id/uploadViewBack"-->
            <!--                        app:layout_constraintStart_toStartOf="@+id/uploadViewBack"-->
            <!--                        app:layout_constraintTop_toTopOf="@+id/uploadViewBack" />-->


            <!--                </androidx.constraintlayout.widget.ConstraintLayout>-->

            <!--            </androidx.constraintlayout.widget.ConstraintLayout>-->

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>


    <com.google.android.material.button.MaterialButton
        android:id="@+id/saveDraft"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_15"
        android:layout_marginEnd="@dimen/margin_5"
        android:layout_marginBottom="@dimen/margin_20"
        android:backgroundTint="@color/white"
        android:text="@string/save_draft"
        android:textColor="@color/red"
        app:cornerRadius="@dimen/margin_15"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/btnNext"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintHorizontal_chainStyle="spread"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/btnNext"
        app:layout_constraintStart_toStartOf="parent"


        />

    <com.google.android.material.button.MaterialButton
        android:id="@+id/btnNext"
        android:layout_width="170dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/margin_5"
        android:layout_marginEnd="@dimen/margin_15"
        android:layout_marginBottom="@dimen/margin_20"
        android:backgroundTint="@color/red"
        android:text="@string/continueText"
        android:textColor="@color/white"
        app:cornerRadius="@dimen/margin_15"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintLeft_toRightOf="@+id/saveDraft"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintStart_toEndOf="@+id/saveDraft" />

</androidx.constraintlayout.widget.ConstraintLayout>